> For the complete documentation index, see [llms.txt](https://docs.stryke.xyz/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.stryke.xyz/developers/apis/clamm-deprecated/lp-management.md).

# LP management

In the section you will find API endpoints to help you manage your LP (Liquidity provision) positions on CLAMM from depositing to retrieving positions and withdrawing.

### Prepare Deposit

Depositing in CLAMM is similar to depositing in Uniswap V3, with a key difference: in CLAMM, you also earn premiums.

Your deposit goes into Uniswap V3 pools, earning typical liquidity provider fees. However, when needed for options positions, deposits are withdrawn from Uniswap V3 and locked in the options market until those positions are settled. This unique structure means you earn both Uniswap V3 fees and option premiums. The `/prepare` endpoint below will help in generate the transaction call data to deposit in a CLAMM for a provided option market and also provide a summary of your deposit transaction.

{% openapi src="/files/uiLe2AdTixay9Y0zMePt" path="/clamm/deposit/prepare" method="get" %}
[stryke-api-swagger.yaml](https://1713171471-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FtOz5vakeeIFF4xdhXZoK%2Fuploads%2F7vSesYn9AbVPrQsNonoy%2Fstryke-api-swagger.yaml?alt=media\&token=3587d8b1-a932-4855-978d-363671da0ce2)
{% endopenapi %}

### Deposit Positions

The `/positions` endpoint retrieves information about Liquidity Provider (LP) positions for a specified pool on CLAMM. This endpoint allows users to view details about their current LP positions, including the liquidity they have provided, fees earned, and additional information. Along with each position the transaction call data to withdraw that position is also provided.&#x20;

{% openapi src="/files/uiLe2AdTixay9Y0zMePt" path="/clamm/deposit/positions" method="get" %}
[stryke-api-swagger.yaml](https://1713171471-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FtOz5vakeeIFF4xdhXZoK%2Fuploads%2F7vSesYn9AbVPrQsNonoy%2Fstryke-api-swagger.yaml?alt=media\&token=3587d8b1-a932-4855-978d-363671da0ce2)
{% endopenapi %}

### Deposit History

The `/history` endpoint retrieves the deposits and transaction details for a user in a specified pool.

{% openapi src="/files/uiLe2AdTixay9Y0zMePt" path="/clamm/deposit/history" method="get" %}
[stryke-api-swagger.yaml](https://1713171471-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FtOz5vakeeIFF4xdhXZoK%2Fuploads%2F7vSesYn9AbVPrQsNonoy%2Fstryke-api-swagger.yaml?alt=media\&token=3587d8b1-a932-4855-978d-363671da0ce2)
{% endopenapi %}

### Withdraw History

This endpoint retrieves information pertaining to withdrawal transactions by a user from a specified pool.

{% openapi src="/files/uiLe2AdTixay9Y0zMePt" path="/clamm/withdraw/history" method="get" %}
[stryke-api-swagger.yaml](https://1713171471-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FtOz5vakeeIFF4xdhXZoK%2Fuploads%2F7vSesYn9AbVPrQsNonoy%2Fstryke-api-swagger.yaml?alt=media\&token=3587d8b1-a932-4855-978d-363671da0ce2)
{% endopenapi %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.stryke.xyz/developers/apis/clamm-deprecated/lp-management.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
